[PATCH v1 09/11] selftests: forwarding: router_mpath_nh_res.sh: add cleanup for SIGTERM sent by timeout

From: Mirsad Todorovac
Date: Fri Jul 21 2023 - 20:37:54 EST


Add trap and cleanup for SIGTERM sent by timeout and SIGINT from
keyboard, for the test times out and leaves incoherent network stack.

Fixes: 386e3792b52a4 ("selftests: forwarding: Add resilient hashing test")
Cc: Ido Schimmel <idosch@xxxxxxxxxx>
Cc: netdev@xxxxxxxxxxxxxxx
---
tools/testing/selftests/net/forwarding/router_mpath_nh_res.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/forwarding/router_mpath_nh_res.sh b/tools/testing/selftests/net/forwarding/router_mpath_nh_res.sh
index cb08ffe2356a..57e211d6f859 100755
--- a/tools/testing/selftests/net/forwarding/router_mpath_nh_res.sh
+++ b/tools/testing/selftests/net/forwarding/router_mpath_nh_res.sh
@@ -389,7 +389,7 @@ if [ $? -ne 0 ]; then
exit $ksft_skip
fi

-trap cleanup EXIT
+trap cleanup INT TERM EXIT

setup_prepare
setup_wait
--
2.34.1